Bug 32229 - Typo: Items missing from bundle at checkin for %s
Summary: Typo: Items missing from bundle at checkin for %s
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2022-11-16 11:00 UTC by Katrin Fischer
Modified: 2023-12-28 20:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Sample records (7.52 KB, text/plain)
2023-01-25 21:22 UTC, Caroline Cyr La Rose
Details
Bug 32229: Typo: Items missing from bundle at checking for %s (3.71 KB, patch)
2023-01-25 21:27 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 32229: Typo: Items missing from bundle at checking for %s (3.78 KB, patch)
2023-01-26 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-11-16 11:00:35 UTC
Should this have been checkin?

Items missing from bundle at checking for %s
koha-tmpl/intranet-tmpl/prog/en/modules/circ/returns.tt:1336
Comment 1 Caroline Cyr La Rose 2023-01-25 21:22:03 UTC
Created attachment 145674 [details]
Sample records

To get to this string:

I created a MARC21 file of records to use as an example. It assumes you have the sample branchcodes and itemtypes that come with Koha. You can use any record you have in your database, you need at least four records with at least one item each.

1. If using the example records, import the records
   1.1. Download the attached earlyliteracy.mrc file 
   1.2. Go to Cataloging > Stage records for import
   1.3. Click the button and select the file on your computer
   1.4. Click 'Upload file'
   1.5. Click 'Stage for import'
   1.6. Click 'View detail of the enqueued job'
   1.7. Click 'View batch'
   1.8. Click 'Import this batch into the catalog'
2. If using the example records, bundle the books into the 'My first books bundle' record
   2.1. Click 'Manage imported batch'
   2.2. Click 'View' next to 'My first books bundle'
   2.3. Click 'Manage bundle' on the right of the item
   2.4. Click 'Add to bundle'
   2.5. Enter the following barcodes, followed by 'Submit' (or press enter) after each
        -  001229
        -  001230
        -  001231
        -  001232
        -  001233
   2.6. Click 'Close'
   
Alternate step 2, if using own records: find a record with an item, change the leader/position 7 to c, click 'Manage bundle', then 'Add to bundle' and enter a few existing barcodes (at least 3).

3. Check out bundle
   3.1. Go to Patrons
   3.2. Click 'Search' to find a patron
   3.3. Click 'Checkout' next to a patron
   3.4. If using example records, enter the following barcode into the checkout box and click 'Checkout' (or press enter)
        -  001234
        Alternate step 3.4, if using own records: checkout the 'main' record in which you bundled all the other records

4. Check in bundle, 'losing' at least one item
   4.1. In the bar at the top of the screen, select 'Check in'
   4.2. If using the example records, enter the following barcode and click the arrow (or press enter)
        -  001234
        Alternate step 4.2, check in the same barcode you just checked out
   4.3. In the 'Barcodes' box, enter the following barcodes, pressing enter between each
        -  001229
        -  001230
        -  001231
        Alternate step 4.3, enter only some of the bundled barcodes
   4.4. Click 'Confirm checkin and mark missing items as lost'
   4.5. Click 'View list of missing items'
        --> Items missing from bundle at checking for (barcode)
Comment 2 Caroline Cyr La Rose 2023-01-25 21:27:25 UTC
Created attachment 145675 [details] [review]
Bug 32229: Typo: Items missing from bundle at checking for %s

This patch corrects a typo in the missing items from bundle pop-up
header.

To test:

I created a MARC21 file of records to use as an example. It assumes
you have the sample branches and itemtypes that come with Koha. You
can use any record you have in your database, you need at least three
records each with at least one item.

0. Apply patch
1. If using the example records, import the records
   1.1. Download the attached earlyliteracy.mrc file
   1.2. Go to Cataloging > Stage records for import
   1.3. Click the button and select the file on your computer
   1.4. Click 'Upload file'
   1.5. Click 'Stage for import'
   1.6. Click 'View detail of the enqueued job'
   1.7. Click 'View batch'
   1.8. Click 'Import this batch into the catalog'
2. If using the example records, bundle the books into the 'My first
books bundle' record
   2.1. Click 'Manage imported batch'
   2.2. Click 'View' next to 'My first books bundle'
   2.3. Click 'Manage bundle' on the right of the item
   2.4. Click 'Add to bundle'
   2.5. Enter the following barcodes, followed by 'Submit' (or press
enter) after each
        -  001229
        -  001230
        -  001231
        -  001232
        -  001233
   2.6. Click 'Close'

Alternate step 2, if using own records: find a record with an item,
change the leader/position 7 to c, click 'Manage bundle', then 'Add
to bundle' and enter a few existing barcodes (at least 2).

3. Check out bundle
   3.1. Go to Patrons
   3.2. Click 'Search' to find a patron
   3.3. Click 'Checkout' next to a patron
   3.4. If using example records, enter the following barcode into the
checkout box and click 'Checkout' (or press enter)
        -  001234
        Alternate step 3.4, if using own records: checkout the 'main'
record in which you bundled all the other records

4. Check in bundle, 'losing' at least one item
   4.1. In the bar at the top of the screen, select 'Check in'
   4.2. If using the example records, enter the following barcode and
click the arrow (or press enter)
        -  001234
        Alternate step 4.2, check in the same barcode you just checked
out
   4.3. In the 'Barcodes' box, enter the following barcodes, pressing
enter between each
        -  001229
        -  001230
        -  001231
        Alternate step 4.3, enter only some of the bundled barcodes
   4.4. Click 'Confirm checkin and mark missing items as lost'
   4.5. Click 'View list of missing items'
        --> Items missing from bundle at checkin for (barcode)
Comment 3 Caroline Cyr La Rose 2023-01-25 21:28:41 UTC
Sorry for the super long test plan... It's not as long as it seems, it's just that you have to create a bundle, then lose items from it and that is a lot of steps... :/
Comment 4 Martin Renvoize 2023-01-26 11:45:17 UTC
Created attachment 145690 [details] [review]
Bug 32229: Typo: Items missing from bundle at checking for %s

This patch corrects a typo in the missing items from bundle pop-up
header.

To test:

I created a MARC21 file of records to use as an example. It assumes
you have the sample branches and itemtypes that come with Koha. You
can use any record you have in your database, you need at least three
records each with at least one item.

0. Apply patch
1. If using the example records, import the records
   1.1. Download the attached earlyliteracy.mrc file
   1.2. Go to Cataloging > Stage records for import
   1.3. Click the button and select the file on your computer
   1.4. Click 'Upload file'
   1.5. Click 'Stage for import'
   1.6. Click 'View detail of the enqueued job'
   1.7. Click 'View batch'
   1.8. Click 'Import this batch into the catalog'
2. If using the example records, bundle the books into the 'My first
books bundle' record
   2.1. Click 'Manage imported batch'
   2.2. Click 'View' next to 'My first books bundle'
   2.3. Click 'Manage bundle' on the right of the item
   2.4. Click 'Add to bundle'
   2.5. Enter the following barcodes, followed by 'Submit' (or press
enter) after each
        -  001229
        -  001230
        -  001231
        -  001232
        -  001233
   2.6. Click 'Close'

Alternate step 2, if using own records: find a record with an item,
change the leader/position 7 to c, click 'Manage bundle', then 'Add
to bundle' and enter a few existing barcodes (at least 2).

3. Check out bundle
   3.1. Go to Patrons
   3.2. Click 'Search' to find a patron
   3.3. Click 'Checkout' next to a patron
   3.4. If using example records, enter the following barcode into the
checkout box and click 'Checkout' (or press enter)
        -  001234
        Alternate step 3.4, if using own records: checkout the 'main'
record in which you bundled all the other records

4. Check in bundle, 'losing' at least one item
   4.1. In the bar at the top of the screen, select 'Check in'
   4.2. If using the example records, enter the following barcode and
click the arrow (or press enter)
        -  001234
        Alternate step 4.2, check in the same barcode you just checked
out
   4.3. In the 'Barcodes' box, enter the following barcodes, pressing
enter between each
        -  001229
        -  001230
        -  001231
        Alternate step 4.3, enter only some of the bundled barcodes
   4.4. Click 'Confirm checkin and mark missing items as lost'
   4.5. Click 'View list of missing items'
        --> Items missing from bundle at checkin for (barcode)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2023-01-26 11:46:06 UTC
Thanks for fixing my mistake Caroline!.. Perfectly executed.

Going to straight PQA this one.. :)
Comment 6 Tomás Cohen Arazi 2023-01-27 18:21:33 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Matt Blenkinsop 2023-01-31 14:16:01 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 8 Lucas Gass 2023-02-01 16:13:04 UTC
bundleMissingLabel does not exist in 22.05.x, no backport.